
package de.ivu.elect.business.stimmeingabe.boundary;

import java.io.Serializable;

import de.ivu.elect.business.stimmeingabe.entity.ErgebnisGueltigerEingang;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class ErgebnisGueltigerEingangFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public ErgebnisGueltigerEingang create() {
        ErgebnisGueltigerEingang entity = new ErgebnisGueltigerEingang(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(ErgebnisGueltigerEingang entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
